#++--++
#--++--
define easy_type::profile::firewall(
  Array[Integer]  $ports,
  Boolean         $manage_service,
) {

  case  $::operatingsystem {
    'RedHat', 'CentOS', 'OracleLinux': {
      case ($::os['release']['major']) {
        '4','5','6': {
          easy_type::profile::firewall::iptables{ $title:
            ports          => $ports,
            manage_service => $manage_service,
          }
        }
        '7': {
          easy_type::profile::firewall::firewalld{ $title:
            ports          => $ports,
            manage_service => $manage_service,
          }
        }
        default: { fail 'unsupported OS version when checking firewall service'}
      }
    }
    'Solaris':{
      warning 'No firewall rules added on Solaris.'
    }
    default: {
        fail "${::operatingsystem} is not supported."
    }
  }
}
