#++--++
#--++--
define easy_type::profile::firewall::firewalld(
  Array[Integer]  $ports,
  Boolean         $manage_service,
) {
  unless defined(Package['firewalld']) {
    package {'firewalld':
      ensure => 'present',
    }
  }
  $ports.each |$port| {
    firewalld_port { "500 accept tcp port ${port} for ${title}":
      ensure   => present,
      zone     => 'external',
      port     => $port,
      protocol => 'tcp',
    }
  }

  if $manage_service {
    unless defined(Service['firewalld']) {
      service { 'firewalld':
          ensure    => true,
          enable    => true,
          hasstatus => true,
      }
    }
  }
}
