#++--++
#--++--
define easy_type::profile::firewall::iptables(
  Array[Integer]  $ports,
  Boolean         $manage_service,
) {
  unless defined(Package['iptables']) {
    package {'iptables':
      ensure => 'present',
    }
  }

  $ports.each |$port| {
    firewall { "500 accept tcp port ${port} for ${title}":
      proto  => 'tcp',
      action => 'accept',
    }
  }

  if $manage_service {
    unless defined(Service['iptables']) {
      service { 'iptables':
          ensure    => true,
          enable    => true,
          hasstatus => true,
      }
    }
  }
}
