#++--++
#--++--
define easy_type::profile::groups_and_users(
  Hash  $users,
  Hash  $groups,
)  {
  #
  # If a password is provided, us it. If not generate a 
  # password that is not easy guesable from the outside.
  # Advise is to specify a strong password in the hiera data.
  #
  $users.each |$user, $settings| {
    if $settings['password'] {
      $full_settings = $settings.merge({'password' => pw_hash($settings['password'], 'SHA-512', regsubst($::networking[mac],':','','G'))})
    } else {
      $full_settings = $settings.merge({'password' => pw_hash(regsubst($::networking[mac],':','','G'), 'SHA-512', regsubst($::networking[mac],':','','G'))})
    }
    unless defined(User[$user]) {
      user { $user:
        ensure => 'present',
        *      => $full_settings,
      }
    }
  }

  ensure_resources('group', $groups, { 'ensure' => 'present'})
}
